FLAC::Metadata::SeekTable class Reference

Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::SeekTable Class Reference
[FLAC++/metadata.h: metadata object classes]

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::SeekTable:

List of all members.

## Public Methods

| SeekTable ()
| SeekTable (::FLAC__StreamMetadata *object, bool copy)
| ~SeekTable ()
SeekTable & | assign (::FLAC__StreamMetadata *object, bool copy)
unsigned | get_num_points () const
::FLAC__StreamMetadata_SeekPoint | get_point (unsigned index) const
void | set_point (unsigned index, const::FLAC__StreamMetadata_SeekPoint &point)
| See FLAC__metadata_object_seektable_set_point().
bool | insert_point (unsigned index, const::FLAC__StreamMetadata_SeekPoint &point)
| See FLAC__metadata_object_seektable_insert_point().
bool | delete_point (unsigned index)
| See FLAC__metadata_object_seektable_delete_point().
bool | is_legal () const
| See FLAC__metadata_object_seektable_is_legal().
| SeekTable (const SeekTable &object)
| SeekTable (const::FLAC__StreamMetadata &object)
| SeekTable (const::FLAC__StreamMetadata *object)
SeekTable & | operator= (const SeekTable &object)
SeekTable & | operator= (const::FLAC__StreamMetadata &object)
SeekTable & | operator= (const::FLAC__StreamMetadata *object)
bool | operator== (const SeekTable &object) const
bool | operator== (const::FLAC__StreamMetadata &object) const
bool | operator== (const::FLAC__StreamMetadata *object) const
bool | operator!= (const SeekTable &object) const
bool | operator!= (const::FLAC__StreamMetadata &object) const
bool | operator!= (const::FLAC__StreamMetadata *object) const

## Detailed Description

SEEKTABLE metadata block. See format specification.

## Constructor & Destructor Documentation

FLAC::Metadata::SeekTable::SeekTable | ( | const SeekTable & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::SeekTable::SeekTable | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::SeekTable::SeekTable | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::SeekTable::SeekTable | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

SeekTable& FLAC::Metadata::SeekTable::operator= | ( | const SeekTable & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy.

SeekTable& FLAC::Metadata::SeekTable::operator= | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

SeekTable& FLAC::Metadata::SeekTable::operator= | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

SeekTable& FLAC::Metadata::SeekTable::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

bool FLAC::Metadata::SeekTable::operator== | ( | const SeekTable & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers.

bool FLAC::Metadata::SeekTable::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::SeekTable::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::SeekTable::operator!= | ( | const SeekTable & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers.

bool FLAC::Metadata::SeekTable::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::SeekTable::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h